#
# spec file for package python3-zope.interface
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-zope.interface
Version:        4.1.2
Release:        4.20
Url:            http://pypi.python.org/pypi/zope.interface
Summary:        Interfaces for Python
License:        ZPL-2.1
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/z/zope.interface/zope.interface-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This package is intended to be independently reusable in any Python
project. It is maintained by the Zope Toolkit project.

This package provides an implementation of object interfaces for Python.
Interfaces are a mechanism for labeling objects as conforming to a given
API or contract. So, this package can be considered as implementation of
the Design By Contract methodology support in Python.

%prep
%setup -q -n zope.interface-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Remove duplicate files
%fdupes -s %{buildroot}
rm %{buildroot}%{python3_sitearch}/zope/interface/_zope_interface_coptimizations.c

%files
%defattr(-,root,root,-)
%doc COPYRIGHT.txt CHANGES.rst LICENSE.txt README.rst
%{python3_sitearch}/*

%changelog
* Fri Jan  2 2015 arun@gmx.de
- specfile: update copyright year
- update to version 4.1.2:
  * Add support for PyPy3.
  * Remove unittest assertions deprecated in Python3.x.
  * Add zope.interface.document.asReStructuredText, which formats the
    generated text for an interface using ReST double-backtick markers.
* Thu Dec 11 2014 arun@gmx.de
- update to version 4.1.1:
  * Added support for Python 3.4.
* Sun Feb 16 2014 os-dev@jacraig.com
- Update to 4.1.0:
  * Updated ``boostrap.py`` to version 2.2.
  * Added ``@named(name)`` declaration, that specifies the component name, so
    it does not have to be passed in during registration.
- Changes from 4.0.5:
  * Fixed a bug where a decorated method caused false positive failures on
  ``verifyClass()``.
- Changes from 4.0.4:
  * Fixed a bug that was revealed by porting zope.traversing. During a loop,
    the loop body modified a weakref dict causing a ``RuntimeError`` error.
- Update %%doc with file extension changes.
- Remove unnecessary C source file to prevent rpmlint warning.
- Change distribute BuildRequires to setuptools, those projects were unforked.
* Mon Jan 14 2013 p.drouand@gmail.com
- Initial python3 support
